Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optimization
Class DifferentiableMultivariateMultiStartOptimizer

    java.lang.Object
      org.apache.commons.math3.optimization.BaseMultivariateMultiStartOptimizer<DifferentiableMultivariateFunction>
          org.apache.commons.math3.optimization.DifferentiableMultivariateMultiStartOptimizer

All Implemented Interfaces:
  BaseMultivariateOptimizer<DifferentiableMultivariateFunction>, BaseOptimizer<PointValuePair>, DifferentiableMultivariateOptimizer

Deprecated. As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class DifferentiableMultivariateMultiStartOptimizer

extends BaseMultivariateMultiStartOptimizer<DifferentiableMultivariateFunction>
implements DifferentiableMultivariateOptimizer

Special implementation of the `DifferentiableMultivariateOptimizer` interface adding multi-start features to an existing optimizer. This class wraps a classical optimizer to use it several times in turn with different starting points in order to avoid being trapped into a local extremum when looking for a global one.

Since:
  2.0
Version:
  $Id: DifferentiableMultivariateMultiStartOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

Constructor Summary
`DifferentiableMultivariateMultiStartOptimizer(DifferentiableMultivariateOptimizer optimizer, int starts, RandomVectorGenerator generator)` Deprecated. Create a multi-start optimizer from a single-start optimizer.

Method Summary

Methods inherited from class org.apache.commons.math3.optimization.BaseMultivariateMultiStartOptimizer
`getConvergenceChecker, getEvaluations, getMaxEvaluations, getOptima, optimize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer
`optimize`

Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer
`getConvergenceChecker, getEvaluations, getMaxEvaluations`

Constructor Detail

### DifferentiableMultivariateMultiStartOptimizer

    public DifferentiableMultivariateMultiStartOptimizer(DifferentiableMultivariateOptimizer optimizer,
                                                         int starts,
                                                         RandomVectorGenerator generator)

  Deprecated.
  Create a multi-start optimizer from a single-start optimizer.

  Parameters:
    `optimizer` - Single-start optimizer to wrap.
    `starts` - Number of starts to perform (including the first one), multi-start is disabled if value is less than or equal to 1.
    `generator` - Random vector generator to use for restarts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.